import CRUDBase from '../CRUDBase.js'

class ScopeResource extends CRUDBase {
    constructor() {
        super()

        this.endpoint = '/api/v1/reflect/scopes'
        this.required_fields = ['scope']
        this.permission_base = 'v1:reflect:scopes'

        this.item = 'API Scope'
        this.plural = 'API Scopes'
    }
}

const reflect_scope = new ScopeResource()
export { reflect_scope }
